//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Grids.hpp>
//---------------------------------------------------------------------------
#include <math.h>
#include <Chart.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Series.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TEdit *txtDegree;
        TButton *btnGenerate;
        TEdit *txtFx1;
        TEdit *txtFx2;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label5;
        TLabel *Label6;
        TEdit *txtResult;
        TLabel *Label7;
        TEdit *txtRX;
        TButton *btnFx;
        TEdit *txtRfx;
        TPageControl *Poly;
        TTabSheet *TabSheet1;
        TTabSheet *TabSheet2;
        TStringGrid *sgdResult;
        TGroupBox *GroupBox1;
        TLabel *Label3;
        TLabel *Label4;
        TEdit *txtX;
        TEdit *txtFx;
        TButton *btnAdd;
        TButton *btnDel;
        TButton *btnGetCoefficients;
        TStringGrid *sdgCoefficients;
        TStringGrid *sgdAns1;
        TChart *Chart1;
        TButton *btnDraw;
        TEdit *txtMin;
        TEdit *txtMax;
        TEdit *txtStep;
        TLabel *Label8;
        TLabel *Max;
        TLabel *Label9;
        TButton *btnClear;
        TLabel *Label10;
        void __fastcall btnGenerateClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall btnAddClick(TObject *Sender);
        void __fastcall btnDelClick(TObject *Sender);
        void __fastcall sgdResultSelectCell(TObject *Sender, int ACol,
          int ARow, bool &CanSelect);
        void __fastcall btnGetCoefficientsClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall btnFxClick(TObject *Sender);
        void __fastcall btnDrawClick(TObject *Sender);
        void __fastcall btnClearClick(TObject *Sender);
        void __fastcall PolyChange(TObject *Sender);
private:	// User declarations
   TStrings *m_sf;
   TStrings *m_sv;
   int m_nAdded;
   int m_nDegree;
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
